Package help.validator.links

# Class InvalidHREFLink

java.lang.Object
help.validator.links.InvalidHREFLink

All Implemented Interfaces:
  `InvalidLink`, `Comparable<InvalidLink>`

Direct Known Subclasses:
  `MissingAnchorInvalidLink`, `MissingFileInvalidLink`

public abstract class InvalidHREFLink extends Object implements InvalidLink

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final HREF`
  `href`
  `protected final String`
  `message`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(InvalidLink other)`
  `boolean`
  `equals(Object obj)`
  `HREF`
  `getHREF()`
  `int`
  `getLineNumber()`
  `Path`
  `getSourceFile()`
  `int`
  `hashCode()`
  `int`
  `identityHashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### href

    protected final HREF href

  - ### message

    protected final String message

- ## Method Details

  - ### getHREF

    public HREF getHREF()

  - ### identityHashCode

    public int identityHashCode()
    Specified by:
      `identityHashCode` in interface `InvalidLink`

  - ### getSourceFile

    public Path getSourceFile()
    Specified by:
      `getSourceFile` in interface `InvalidLink`

  - ### getLineNumber

    public int getLineNumber()
    Specified by:
      `getLineNumber` in interface `InvalidLink`

  - ### compareTo

    public int compareTo(InvalidLink other)
    Specified by:
      `compareTo` in interface `Comparable<InvalidLink>`
    Specified by:
      `compareTo` in interface `InvalidLink`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `InvalidLink`
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `InvalidLink`
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `InvalidLink`
    Overrides:
      `equals` in class `Object`